linux: 2.6.38-15.65 -proposed tracker

Bug #1027821 reported by Luis Henriques on 2012-07-23
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Steve Langasek
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Natty
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.38-15.65 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 23. July 2012 08:56 UTC
kernel-stable-Certification-testing-end:Monday, 23. July 2012 09:00 UTC
kernel-stable-Prepare-package-end:Friday, 27. July 2012 06:48 UTC
kernel-stable-Promote-to-proposed-start:Friday, 27. July 2012 06:48 UTC
kernel-stable-Promote-to-proposed-end:Saturday, 28. July 2012 01:00 UTC
kernel-stable-Verification-testing-start:Saturday, 28. July 2012 02:00 UTC
kernel-stable-Security-signoff-start:Monday, 30. July 2012 08:30 UTC
kernel-stable-Verification-testing-end:Monday, 30. July 2012 08:30 UTC
kernel-stable-Regression-testing-start:Monday, 30. July 2012 08:30 UTC
kernel-stable-Security-signoff-end:Tuesday, 31. July 2012 21:45 UTC
kernel-stable-Regression-testing-end:Thursday, 09. August 2012 14:45 UTC
kernel-stable-Promote-to-updates-start:Thursday, 09. August 2012 21:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 10. August 2012 00:31 UTC
kernel-stable-Promote-to-updates-end:Friday, 10. August 2012 00:31 UTC

CVE References

Luis Henriques (henrix) on 2012-07-23
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: natty
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-07-23
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1029784

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-natty (lucid) - bug 1029786

description: updated
Adam Conrad (adconrad) wrote :

Accepted to proposed earlier, but no one changed the task.

Brad Figg (brad-figg) on 2012-07-28
description: updated
Brad Figg (brad-figg) on 2012-07-28
description: updated
Luis Henriques (henrix) wrote :

No SRUs to verify, moving to testing.

Brad Figg (brad-figg) on 2012-07-30
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-07-31
description: updated
C de-Avillez (hggdh2) wrote :

Tagging qa-testing-failed, see bug 1034930. No other critical issues observed

tags: added: qa-testing-failed

The bug was tagged as qa-testing-failed

Changed in kernel-sru-workflow:
status: In Progress → Incomplete
description: updated
C de-Avillez (hggdh2) wrote :

Henrique analysed the issue, and found a bug on the tests themselves, not on the kernel. As such, tagging qa-testing-passed.

tags: added: qa-testing-passed
removed: qa-testing-failed
Luis Henriques (henrix) on 2012-08-09
Changed in kernel-sru-workflow:
status: Incomplete → In Progress
Brad Figg (brad-figg) on 2012-08-09
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-15.65

---------------
linux (2.6.38-15.65) natty-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1027821

  [ Andy Whitcroft ]

  * SAUCE: rds_ib_send() -- prevent local pings triggering BUG_ON()
    - LP: #1016299
    - CVE-2012-2372

  [ Upstream Kernel Changes ]

  * hugetlb: fix resv_map leak in error path
    - LP: #1004621
    - CVE-2012-2390
  * mm: fix vma_resv_map() NULL pointer
    - LP: #1004621
    - CVE-2012-2390
  * net: sock: validate data_len before allocating skb in
    sock_alloc_send_pskb()
    - LP: #1006622
    - CVE-2012-2136
 -- Luis Henriques <email address hidden> Thu, 26 Jul 2012 14:37:28 +0100

Changed in linux (Ubuntu Natty):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Changed in linux (Ubuntu):
status: In Progress → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers